Get the last output files of an asset instance

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/asset-instances/{asset_instance_id}/entities/{temporal_entity_id}/output-files/last-revisions

Get the last revision of each output file of an asset instance. The response groups the files by output type and by name. An asset instance is a copy of an asset in a shot or a scene. The temporal entity is this shot or this scene.

Path parameters

  • asset_instance_id string(uuid) Required

    Asset instance unique identifier

  • temporal_entity_id string(uuid) Required

    Get only the files of this shot or scene

Query parameters

  • output_type_id string(uuid)

    Get only the files of this output type

  • task_type_id string(uuid)

    Get only the files of this task type

  • file_status_id string(uuid)

    Get only the files with this file status

  • representation string

    Get only the files with this representation, for example abc or fbx

  • name string

    Get only the files with this name

Responses

  • 200 application/json

    The last revisions, by output type and by name

    Hide response attribute Show response attribute object
    • * object Additional properties
      Hide * attributes Show * attributes object
      • id string(uuid)

        Output file unique identifier

      • name string

        Output file name

      • revision integer

        Output file revision

      • path string

        Output file path

      • updated_at string(date-time)

        Last update timestamp

  • 403

    You do not have access to this project

  • 404

    The asset instance does not exist

GET /data/asset-instances/{asset_instance_id}/entities/{temporal_entity_id}/output-files/last-revisions
curl -X GET "http://api.example.com/data/asset-instances/a24a6ea4-ce75-4665-a070-57453082c25/entities/b35b7fb5-df86-5776-b181-68564193d36/output-files/last-revisions?output_type_id=c46c8gc6-eg97-6887-c292-79675204e47&task_type_id=d57d9hd7-fh08-7998-d403-80786315f58&file_status_id=e68e0ie8-gi19-8009-e514-91897426g69&representation=cache&name=main" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/asset-instances/a24a6ea4-ce75-4665-a070-57453082c25/entities/b35b7fb5-df86-5776-b181-68564193d36/output-files/last-revisions"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "output_type_id": "c46c8gc6-eg97-6887-c292-79675204e47",
    "task_type_id": "d57d9hd7-fh08-7998-d403-80786315f58",
    "file_status_id": "e68e0ie8-gi19-8009-e514-91897426g69",
    "representation": "cache",
    "name": "main"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "additionalProperty1": {
    "id": "f79f13f9-1320-9010-f625-a09008537180",
    "name": "main",
    "revision": 1,
    "path": "/project/asset/instance/output/main_v001.mp4",
    "updated_at": "2023-01-01T12:00:00Z"
  },
  "additionalProperty2": {
    "id": "f79f13f9-1320-9010-f625-a09008537180",
    "name": "main",
    "revision": 1,
    "path": "/project/asset/instance/output/main_v001.mp4",
    "updated_at": "2023-01-01T12:00:00Z"
  }
}